%{?drupal7_find_provides_and_requires}

%global module xmlsitemap

Name:          drupal7-%{module}
Version:       2.2
Release:       2%{?dist}
Summary:       The XML sitemap module creates a sitemap

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.0)
Requires:      drupal7(core)
Requires:      php-pcre
Requires:      php-pdo
Requires:      php-xml

Provides:      drupal7(xmlsitemap)
Provides:      drupal7(xmlsitemap_custom)
Provides:      drupal7(xmlsitemap_engines)
Provides:      drupal7(xmlsitemap_i18n)
Provides:      drupal7(xmlsitemap_menu)
Provides:      drupal7(xmlsitemap_node)
Provides:      drupal7(xmlsitemap_taxonomy)
Provides:      drupal7(xmlsitemap_user)

%description
The XML sitemap module creates a sitemap
that conforms to the sitemaps.org specification.
This helps search engines to more intelligently crawl a website
and keep their results up to date.
The sitemap created by the module can be automatically submitted to Ask,
Google, Bing (formerly Windows Live Search), and Yahoo! search engines.
The module also comes with several submodules
that can add sitemap links for content,
menu items, taxonomy terms, and user profiles.

This package provides the following Drupal module(s):
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 23 2015 Peter Borsa <peter.borsa@gmail.com> 2.2-1
- Update to 2.2
- Upstream release notes can be found at https://www.drupal.org/node/2417069

* Sun May 25 2014 Peter Borsa <peter.borsa@gmail.com> 2.0-1
- Initial package
